<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Filtros\FiltroDeProducto;
use App\Producto;

class ProductoController extends Controller
{
    /**
     * Mostrar una lista de productos.
     *
     * @param App\Filtros\FiltroDeProducto $filtros
     * @param \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function index(FiltroDeProducto $filtros, Request $request)
    {
        return Producto::filtrar($filtros)->paginate(Producto::getPaginar($request));
    }

}
